CommitLogSegmentManager (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.commitlog

## Class CommitLogSegmentManager

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegmentManager

-     public class CommitLogSegmentManager
      extends java.lang.Object

  Performs eager-creation of commit log segments in a background thread. All the public methods are thread safe.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.cassandra.db.commitlog.CommitLogSegment.Allocation` | `allocate(Mutation mutation, int size)` Reserve space in the current segment for the provided mutation or, if there isn't space available, create a new segment.
    `void` | `awaitTermination()` Returns when the management thread terminates.
    `java.util.Collection<CommitLogSegment>` | `getActiveSegments()`
    `boolean` | `manages(java.lang.String name)`
    `long` | `onDiskSize()`
    `void` | `shutdown()` Initiates the shutdown process for the management thread.
    `void` | `stopUnsafe(boolean deleteSegments)` Stops CL, for testing purposes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allocate

          public org.apache.cassandra.db.commitlog.CommitLogSegment.Allocation allocate(Mutation mutation,
                                                                                        int size)

      Reserve space in the current segment for the provided mutation or, if there isn't space available, create a new segment.
      Returns:
        the provided Allocation object

    - #### onDiskSize

          public long onDiskSize()

      Returns:
        the space (in bytes) used by all segment files.

    - #### manages

          public boolean manages(java.lang.String name)

      Parameters:
        `name` - the filename to check
      Returns:
        true if file is managed by this manager.

    - #### stopUnsafe

          public void stopUnsafe(boolean deleteSegments)

      Stops CL, for testing purposes. DO NOT USE THIS OUTSIDE OF TESTS. Only call this after the AbstractCommitLogService is shut down.

    - #### shutdown

          public void shutdown()

      Initiates the shutdown process for the management thread.

    - #### awaitTermination

          public void awaitTermination()
                                throws java.lang.InterruptedException

      Returns when the management thread terminates.
      Throws:
        `java.lang.InterruptedException`

    - #### getActiveSegments

          public java.util.Collection<CommitLogSegment> getActiveSegments()

      Returns:
        a read-only collection of the active commit log segments

Copyright © 2018 The Apache Software Foundation